Subject: [GIT PULL 9/9] ARM: tegra: Default configuration updates for v4.3-rc1

From: [email-masked] (Thierry Reding)
Date: Wed, 19 Aug 2015 12:33:06 +0200

On Wed, Aug 19, 2015 at 11:48:44AM +0200, Sjoerd Simons wrote:
> On Wed, 2015-08-19 at 11:14 +0200, Thierry Reding wrote:
> > On Tue, Aug 18, 2015 at 03:30:41PM -0700, Tyler Baker wrote:
> > > Hi Theirry,
> > > 
> > > 
> > > This isn't where the story ends unfortunately. The collabora lab 
> > > also
> > > has a jetson-tk1, booted in the same manner, which boots next
> > > -20150818
> > > fine[4]. The only differences I can spot in the two boot logs is 
> > > that
> > > the collabora board is using an older version of u-boot, where as 
> > > my
> > > board is using a newer version. U-Boot 2015.01-00231-gab77f24-dirty
> > > (Good) vs U-Boot 2015.07-00130-gb217c89 (Bad).
> 
> Our 2015.01-00231-gab77f24-dirty is 2015.01-00231-gab77f24 + changes
> which got merged as 053b86e6d8e50359412e626c33bae3f7bafd74dd in
> upstream u-boot.
> 
> Fwiw:
> $ git show 2015.01-00231-gab77f24
> commit ab77f24119e80257de4ab017b877f92f96980562
> Merge: d928664 fa58b10
> Author: Tom Rini <[email-masked]>
> Date:   Thu Jan 15 14:05:31 2015 -0500
> 
>     Merge branch 'master' of git://git.denx.de/u-boot-ti
> 
> Which is definately a commit you should hae in your upstream u-boot
> tree.

Yeah, I suck. I was running:

	$ git show gab77f24

I didn't know git could parse the full output from git describe.

> > I don't have either of those commits in any of the U-Boot trees I 
> > have.
> > Perhaps whatever tree this comes from has local patches that cause 
> > the
> > breakage? The version that I use a recent upstream U-Boot with some
> > local patches, none of which should impact Jetson TK1 in any way. 
> > Just
> > to make sure I tried running latest origin/master, which identifies
> > thusly:
> > 
> > 	U-Boot 2015.10-rc2-00040-g0f9258228e2b
> > 
> > And that boots next-20150818 fine.
> 
> Probably worth for tyler to test that u-boot commit on his jetson to
> see if that solves the issue he's having...

I've tried reconstructing the version that Tyler is running by checking
out 2015.01-00231-gab77f24 and applying 053b86e6d8e5 ("pci: tegra: Fix
port information parsing") on top, but that also leaves me with a
bootable system, so no way of reproducing. I agree that upgrading to a
more recent U-Boot version sounds like the best way forward because it
has already proven to work on at least two setups.

Thierry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20150819/63181835/attachment.sig>